var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
import { difference } from 'ramda';
export function getReviewerIds(sme, session) {
    return sme ? session.teachingReviewerIds : session.conversionReviewerIds;
}
export function getParticipantIds(sme, session) {
    return sme
        ? session.teachingReviewParticipantIds
        : session.conversionReviewParticipantIds;
}
export function isOwner(sme, currentUserId, _a) {
    var teachingOwnerId = _a.teachingOwnerId, conversionOwnerId = _a.conversionOwnerId;
    return sme
        ? teachingOwnerId === currentUserId
        : conversionOwnerId === currentUserId;
}
export function isReviewer(currentUserId, reviewerIds) {
    return (reviewerIds && reviewerIds.length > 0 && reviewerIds.includes(currentUserId));
}
export function isParticipantInReview(currentUserId, participantIds) {
    return (participantIds &&
        participantIds.length > 0 &&
        participantIds.includes(currentUserId));
}
export function isReviewRequested(reviewerIds) {
    return Boolean(reviewerIds && reviewerIds.length > 0);
}
export function allReviewersAreParticipants(reviewerIds, participantIds) {
    return Boolean(reviewerIds &&
        reviewerIds.length > 0 &&
        participantIds &&
        participantIds.length > 0 &&
        equalElements(participantIds, reviewerIds));
}
function equalElements(participantIds, reviewerIds) {
    var participantIdsCopy = typeof participantIds === 'string' ? [participantIds] : __spreadArrays(participantIds);
    var reviewerIdsCopy = typeof reviewerIds === 'string' ? [reviewerIds] : __spreadArrays(reviewerIds);
    var diff = difference(reviewerIdsCopy, participantIdsCopy);
    return diff.length === 0;
}
